Option Explicit

Dim app       ' The application
Dim doc     ' The Board
Dim gui
Dim BindMenu
Dim BindAccelerator
Dim BindCommand
Dim keyBindTables
dim path
dim shell

Set app = Application
Set doc = app.ActiveDocument
Set gui = app.gui

Scripting.AddTypeLibrary("MGCPCB.ExpeditionPCBApplication")
Set shell = CreateObject( "WScript.Shell" )
path = shell.ExpandEnvironmentStrings("%EXACTCAD_PATH%") & "\bin\Cell_Editor\hotkeys"
scripting.globals("path") = path
set shell = nothing

BindMenu = 0
BindAccelerator = 1
BindCommand = 1

Set keyBindTables = gui.Bindings("Document")

'set route, place, and draw modes
keyBindTables.AddKeyBinding "r", "run " & path & "\set_route_mode.vbs", BindCommand, BindAccelerator
keyBindTables.AddKeyBinding "R", "run " & path & "\set_route_mode.vbs", BindCommand, BindAccelerator

keyBindTables.AddKeyBinding "d", "run " & path & "\set_draw_mode.vbs", BindCommand, BindAccelerator
keyBindTables.AddKeyBinding "D", "run " & path & "\set_draw_mode.vbs", BindCommand, BindAccelerator

keyBindTables.AddKeyBinding "c", "run " & path & "\set_place_mode.vbs", BindCommand, BindAccelerator
keyBindTables.AddKeyBinding "C", "run " & path & "\set_place_mode.vbs", BindCommand, BindAccelerator
