Option explicit

dim app
dim doc
dim gui
dim prog_id

Set app = GetObject(, "MGCPCB.ExpeditionPCBApplication")
Set doc = GetLicensedDoc(app)
set gui = app.gui

run


Sub run
	dim dsp
	dim view
	dim f
	dim fs
	dim path
	dim n
	dim file_text
	dim ary
	dim name, name1, name2
	dim std


	std = gui.SuppressTrivialDialogs

	If not doc is nothing then
		
		set view = doc.ActiveView
		set dsp = view.DisplayControl
		
		on error resume next
		
		gui.SuppressTrivialDialogs = true
		If dsp.Visible("User.ARX_TEMP_WALLS_INT") = 0 Then
			dsp.Visible("User.ARX_TEMP_WALLS_INT") = 1
		Else
			dsp.Visible("User.ARX_TEMP_WALLS_INT") = 0
		End If
		
		
		gui.SuppressTrivialDialogs = std

	End if


End Sub

Set app = Nothing
Set doc = Nothing


'-------------------------------------------------------------------------
Public Function GetLicensedDoc(appObj)
    On Error Resume next
    Dim key,licenseServer,licenseToken,docObj

    Set GetLicensedDoc = Nothing

    ' collect the active document
    Set docObj = appObj.ActiveDocument
    If (Err) Then  
        Call appObj.Gui.StatusBarText("No active document: " + _
                                 Err.Description,epcbStatusFieldError)
        Exit Function
    End If

    ' Ask Expeditions document for the key
    key = docObj.Validate(0)

    ' Get token from license server
    Set licenseServer = CreateObject("MGCPCBAutomationLicensing.Application")
    licenseToken = licenseServer.GetToken(key)
    Set licenseServer = Nothing

    ' Ask the document to validate the license token
    Err.Clear 
    docObj.Validate(licenseToken)
    If (Err) Then  
        Call appObj.Gui.StatusBarText("No active document license: " + _
                                      Err.Description,epcbStatusFieldError)
        Exit Function
    End If

    ' everything is OK, return document
    Set GetLicensedDoc = docObj 
End Function
