Option explicit

dim nets
dim net
dim app
dim doc
dim n
dim vias
dim via
dim x, y, r
dim p
dim ob
dim ps
dim psname
dim str
dim pts
dim c, ct

Set app = GetObject(, "MGCPCB.ExpeditionPCBApplication")
Set doc = GetLicensedDoc(app)

r = 0.7112 / 2

If not doc is nothing then

	set vias = doc.vias(1)
	ct = vias.count
	c = 0
	
	if doc.transactionstart(0) = true then
		for each via in vias
			psname = via.currentpadstack.name
			if psname = "via_h0.250c0.450" then
				x = via.positionx
				y = via.positionY
				p = app.utility.CreateCircleXYR(x, y, r)
				set ob = doc.putobstruct(11, 0, 3, p, 1, false, nothing, 0)
				c = c + 1
				app.gui.StatusBarText("Added " & c & "/" & ct & " obstructs")
			end if
		next
		doc.transactionend(true)
	end if
Else
	msgbox "doc is nothing"
End if

Set app = Nothing
Set doc = Nothing

msgbox "DONE!"




Public Function GetLicensedDoc(appObj)
    On Error Resume next
    Dim key,licenseServer,licenseToken,docObj

    Set GetLicensedDoc = Nothing

    ' collect the active document
    Set docObj = appObj.ActiveDocument
    If (Err) Then  
        Call appObj.Gui.StatusBarText("No active document: " + _
                                 Err.Description,epcbStatusFieldError)
        Exit Function
    End If

    ' Ask Expeditions document for the key
    key = docObj.Validate(0)

    ' Get token from license server
    Set licenseServer = CreateObject("MGCPCBAutomationLicensing.Application")
    licenseToken = licenseServer.GetToken(key)
    Set licenseServer = Nothing

    ' Ask the document to validate the license token
    Err.Clear 
    docObj.Validate(licenseToken)
    If (Err) Then  
        Call appObj.Gui.StatusBarText("No active document license: " + _
                                      Err.Description,epcbStatusFieldError)
        Exit Function
    End If

    ' everything is OK, return document
    Set GetLicensedDoc = docObj 
End Function
