Option explicit
dim shell
dim regkey
dim mginvoke
dim path
dim local_app_data
dim idx
dim fso
dim file
dim tmp
dim ary
dim res


'get ExactCAD path, then add the path the required executable
Set shell = CreateObject( "WScript.Shell" )

path = shell.ExpandEnvironmentStrings("%EXACTCAD_PATH%") & "\bin\groups\groups_ad_hoc.exe"

get_mginvoke()

mginvoke = mginvoke & " " & chr(34) & path & chr(34)
'run the mginvoke command in the shell
shell.run mginvoke

'terminate the shell
set shell = Nothing

Sub get_mginvoke()
	'get appdata path
	local_app_data = shell.ExpandEnvironmentStrings("%APPDATA%")

	're-route appdata path to local\ExactCAD
	idx = instr(local_app_data, "AppData")

	'add the Selected_Version filename
	local_app_data = Left(local_app_data, idx + 6) & "\Local\ExactCAD\Selected_Version.txt"


	'create file system object
	Set fso = CreateObject("Scripting.FileSystemObject")



	'see if the file exists
	res = 1
	If (fso.FileExists(local_app_data)) Then
		
		'if so, open the file
		set file = fso.OpenTextFile(local_app_data)
		
		'read each line of the file
		do until file.AtEndOfStream
			tmp = file.ReadLine
			
			'look for maglaunch_path in each line of the file
			if instr(tmp, "mglaunch_path") > 0 then
				
				'when found, split the string into an array using the tab delimiter
				ary = split(tmp, vbtab)
				
				'complete the mginvoke statement
				mginvoke = ary(1)
				mginvoke = replace(mginvoke, "mglaunch", "mginvoke")

			end if
		Loop
	  
	Else
		res = 0
	End If


	if res = 0 then
		'run the executable with mginvoke.
		regkey = "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\mginvoke.exe\"
		mginvoke = shell.RegRead(regkey)
	else
		
	end if

End Sub

