Option explicit

dim app
dim doc
dim gui
dim shell
dim n
dim tmp
dim ults
dim ult
dim strf
dim strt
dim flts
dim flt



Set shell = CreateObject("WScript.Shell")


'Hook to Expedition
Set app = GetObject(, "MGCPCB.ExpeditionPCBApplication")
Set doc = GetLicensedDoc(app)





If not doc is nothing then
	run()
End if

Public Sub run()

	strf = inputbox("Text to find")
	strt = inputbox ("Text to replace with")

	set ults = doc.userlayertexts(0)
	
	for each ult in ults
		if instr(ult.textstring, strf) > 0 Then
			tmp = ult.textstring
			tmp = Replace(tmp,strf,strt)
			'msgbox tmp
			ult.textstring = tmp
		end if

	next
	
	set flts = doc.fabricationlayertexts(0)
	msgbox "There are " & flts.count & " fabricationlayertexts in the design"
	for each flt in flts
		tmp = flt.textstring
		tmp = Replace(tmp,strf,strt)
		'msgbox tmp
		flt.textstring = tmp
	next



End Sub



set shell = nothing
Set app = Nothing
Set doc = Nothing



Public Function GetLicensedDoc(appObj)
    On Error Resume next
    Dim key,licenseServer,licenseToken,docObj

    Set GetLicensedDoc = Nothing

    ' collect the active document
    Set docObj = appObj.ActiveDocument
    If (Err) Then  
        Call appObj.Gui.StatusBarText("No active document: " + _
                                 Err.Description,epcbStatusFieldError)
        Exit Function
    End If

    ' Ask Expeditions document for the key
    key = docObj.Validate(0)

    ' Get token from license server
    Set licenseServer = CreateObject("MGCPCBAutomationLicensing.Application")
    licenseToken = licenseServer.GetToken(key)
    Set licenseServer = Nothing

    ' Ask the document to validate the license token
    Err.Clear 
    docObj.Validate(licenseToken)
    If (Err) Then  
        Call appObj.Gui.StatusBarText("No active document license: " + _
                                      Err.Description,epcbStatusFieldError)
        Exit Function
    End If

    ' everything is OK, return document
    Set GetLicensedDoc = docObj 
End Function
