Option Explicit     ' All variables must be declared using the 'Dim' statement

Dim GetPointCmd
Dim i
Dim lyrObj
Dim app
Dim doc
Dim pntsArr
Dim lineObj
dim arrowObj
Dim textStr
Dim units
Dim usrLyrObj
Dim tagMotion : tagMotion = -1


Call main()

Public sub main()
	' Get the application object.  To run the script out-of-process, use GetObject.
	'Set app = GetObject(,"MGCPCB.Expeditionapplication")
	Set app = Application

	' Get the active document
	Set doc = app.ActiveDocument

	' License the document
	If (ValidateServer(doc) = 1) Then
		
		' add a reference to the MGCPCB type library in order to use enums
		Scripting.AddTypeLibrary("MGCPCB.Expeditionapplication")
		
		units = doc.currentunit
		
		' register a cmd so we can get a mouse point
		Set GetPointCmd = app.Gui.RegisterCommand("GetPoint")
		
		
		
		' attach the events to the commandw
		Scripting.AttachEvents GetPointCmd, "getpntcmd"
		Call Scripting.AttachEvents(doc, "doc")
		Call Scripting.AttachEvents(app, "app")
			
			
	Else
		Msgbox("Could not validate the server. Exiting program.")
	End If
	
	Scripting.DontExit = True ' Hang around to listen to events
	
End Sub



Function doc_OnCreateMotionGfx(pGroup, dNewPositionX, dNewPositionY, nNewLayer, dNewAngle, bNewMirror, dCursorX, dCursorY, nGroupIndex, nGroupCount)
	REM BVal pGroup As Variant ,
	REM ByVal dNewPositionX As Double  , 
	REM ByVal dNewPositionY As Double , 
	REM ByVal nNewLayer As Long  , 
	REM ByVal dNewAngle As Double , 
	REM ByVal bNewMirror As Boolean , 
	REM ByVal dCursorX As Double  , 
	REM ByVal dCursorY As Double , 
	REM ByVal nGroupIndex As Long  , 
	REM ByVal nGroupCount As Long)

	'tagMotion = doc.ActiveView.MotionGfxGetTag()
	'Call app.Gui.StatusBarText("MotionGfx started", 1)
	msgbox "routing started"

End Function

REM Sub doc_OnActiveRouteLayerChange(Layer)
	REM msgbox "layer is " & Layer
REM End Sub


'---------------------------------------
' Begin Validate Server Function
'---------------------------------------
Private Function ValidateServer(doc)
    
    Dim key, licenseServer, licenseToken

    ' Ask Expeditions document for the key
    key = doc.Validate(0)

    ' Get license server
    Set licenseServer = CreateObject("MGCPCBAutomationLicensing.Application")

    ' Ask the license server for the license token
    licenseToken = licenseServer.GetToken(key)

    ' Release license server
    Set licenseServer = nothing

    ' Turn off error messages.  Validate may fail if the token is incorrect
    On Error Resume Next
    Err.Clear

    ' Ask the document to validate the license token
    doc.Validate(licenseToken)
    If Err Then
        ValidateServer = 0    
    Else
        ValidateServer = 1
    End If

End Function
